# Reorder the routing ops of a production method (/docs/api-reference/products/RoutingOpsController_reorder)

`PUT /api/factories/{factoryId}/products/{productId}/methods/{methodId}/routing-ops/reorder`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `productId` | path | yes | string | Product ID |
| `methodId` | path | yes | string | Production method ID |

## Request body

Required.

Content type: `application/json`

```json
{
  "type": "object",
  "properties": {
    "order": {
      "description": "Op ids in the new order",
      "type": "array",
      "items": {
        "type": "string"
      }
    }
  },
  "required": [
    "order"
  ]
}
```

## Responses

### 200: Routing ops reordered